const babel = require('babel-core');
const t = require('babel-types');

const visitor = {
    BinaryExpression(path){
        let result;
        if (t.isNumericLiteral(node.left) && t.isNumericLiteral(node.right)) {
            if(node.operator === "***"){
                result = Math.pow(path.node.left.value,path.node.right.value)
            };
        };

        result ? path.replaceWith(t.numericLiteral(result)) : null;
    }
};

module.exports = function(babel){
    return {
        visitor
    }
}